%define name tailor
%define version 0.8
%define release 1


Summary:	A tool to migrate changesets between several version control systems
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://nautilus.homeip.net/~lele/projects/cvsync-%{version}.tar.bz2
# darcs get --partial http://nautilus.homeip.net/~lele/projects/cvsync/
# cd cvsync
# darcs dist -d tailor
# bzme -f tailor.tar.gz
License:	GPL
Group:		Development/Other
Url:		http://nautilus.homeip.net/~lele/projects/cvsync
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
Requires:	python
Requires:	python-vcpx = %{version}-%{release}
BuildArch:	noarch

%description
Tailor is a tool to migrate changesets between CVS, Subversion,
darcs, monotone, Codeville, Mercurial and Baazar-NG [#]
repositories.

This script makes it easier to keep the upstream changes merged in
a branch of a product, storing needed information such as the upstream
URI and revision in special properties on the branched directory.

[#] Monotone, Codeville, Mercurial and Baazar-NG systems may be
used only as the `target` backend, since the `source` support
isn't coded yet. Contributions on these backends will be very
appreciated, since I do not use them enough to figure out the
best way to get pending changes and build tailor ChangeSets out
of them.

%package -n python-vcpx
Summary:	Version Control Patch eXchanger
Group:		Development/Python
Requires:	python

%description -n python-vcpx
This is the package `vcpx` (pronounced "veeseepex").  It encapsulates
the machinery needed to keep the patches in sync across different VC
systems.


%prep
%setup -q -n cvsync-%{version}

%build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

# create tailor.py -> tailor sym link
(
cd $RPM_BUILD_ROOT/%{_bindir}/
ln -s tailor.py tailor
)

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%{_bindir}/*
#%{_mandir}/man*/*
%doc README

%files -n python-vcpx
%defattr(-,root,root,0755)
%{_libdir}/python%{pyver}/site-packages/vcpx

%changelog
* Thu Jul 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- 0.8
- update description and summary

* Wed Apr 20 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0-0.20050420.1mdk
- darcs pull
- create link tailor -> tailor.py


* Tue Mar 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0-0.20050301.1mdk
- mandrake contrib


